petsc-3.12.1 2019-10-22
Report Typos and Errors

# TAOCG

Nonlinear conjugate gradient method is an extension of the nonlinear conjugate gradient solver for nonlinear optimization.

### Options Database Keys

| -tao_cg_eta <r> | - restart tolerance
| -tao_cg_type <taocg_type> | - cg formula
| -tao_cg_delta_min <r> | - minimum delta value
| -tao_cg_delta_max <r> | - maximum delta value

### Notes

### CG formulas are

"fr" - Fletcher-Reeves "pr" - Polak-Ribiere "prp" - Polak-Ribiere-Plus "hs" - Hestenes-Steifel "dy" - Dai-Yuan

### Level

beginner

### Location

src/tao/unconstrained/impls/cg/taocg.c

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages